using System;
using System.Diagnostics;
using System.ServiceModel;

using BA.ECommerce.Contracts;

namespace BA.ECommerce.Client
{
	[ServiceBehavior(IncludeExceptionDetailInFaults=true)]
	class PurchasingClient : IPurchasingClient
	{
		#region IPurchasingClient Members

		public void ReceiveOrderStatus(ReceiveOrderStatus request)
		{
			Console.WriteLine("Status received for order {0} from customer {1}: {2}\n",
				request.PurchaseOrderStatus.PurchaseOrderID, request.PurchaseOrderStatus.CustomerNumber, request.PurchaseOrderStatus.Status);
			Trace.WriteLine(String.Format("Status received for order {0} from customer {1}: {2}",
				request.PurchaseOrderStatus.PurchaseOrderID, request.PurchaseOrderStatus.CustomerNumber, request.PurchaseOrderStatus.Status));
		}

		#endregion
	}
}
