using System;
using System.ServiceModel;

namespace Contracts
{
	[MessageContract(IsWrapped=false)]
	public class EmploymentProcessingStepMessage
	{
		[MessageBodyMember(Name="EmploymentProcessingState", Namespace="urn://BA.Employment.1_0_0.com")]
		public EmploymentProcessingState ProcessingState;

		public EmploymentProcessingStepMessage(EmploymentProcessingState processingState)
		{
			ProcessingState = processingState;
		}

		public EmploymentProcessingStepMessage()
		{
		}
	}
}
